services:
  input-guard-microservice:
    image: ishanmakadia/input-guard-microservice:1.0
    ports:
      - 6000:6000
      # <host-port>:<container-port>
      # port 6000 on the host machine is being mapped to the port 6000 inside the container
    volumes:
      - './:/app/volume'
    depends_on:
      - data-calc-microservice
      # data-calc-microservice will be started before input-guard-microservice
    container_name: input-guard-microservice
    networks:
      - my-network

  data-calc-microservice:
    image: ishanmakadia/data-calc-microservice:1.0
    volumes:
      - './:/app/volume'
        # The period (.) represents the current directory or the path relative to the location of the docker-compose.yml file. It means that the current directory on the host machine will be mounted as a volume.
        # This represents the path inside the container where the volume will be mounted. In this case, it specifies the directory /app/volume within the container.
        # Any files or directories in the current directory will be accessible within the container at /app/volume.
    container_name: data-calc-microservice
    networks:
      - my-network

networks:
  my-network:
    driver: bridge
    # Containers on the same bridge network can communicate using their container names